﻿using Borepin.Model;
using FabAccessAPI;
using Prism.Mvvm;

namespace Borepin.ViewModel
{
    public class ServerListItemViewModel : BindableBase
    {
        #region Constructors
        public ServerListItemViewModel(ConnectionData instance)
        {
            Instance = instance;
            Address = instance.Host.Host;
            Username = instance.Username;
        }
        #endregion

        #region Fields
        public readonly ConnectionData Instance;

        private string _Address;
        public string Address
        {
            get => _Address;
            set => SetProperty(ref _Address, value);
        }

        private string _Username;
        public string Username
        {
            get => _Username;
            set => SetProperty(ref _Username, value);
        }
        #endregion
    }
}
